# studio::Renderer_Canvas Class Reference

`#include <renderer_canvas.h>`

Inheritance diagram for studio::Renderer_Canvas:

List of all members.

## Public Member Functions

| ~Renderer_Canvas ()
std::vector< std::pair < Glib::RefPtr< Gdk::Pixbuf > , int > > & | get_tile_book ()
bool | get_full_frame () const
int | get_refreshes () const
bool | get_canceled () const
bool | get_queued () const
bool | get_rendering () const
void | render_vfunc (const Glib::RefPtr< Gdk::Drawable > &drawable, const Gdk::Rectangle &expose_area)

## Constructor & Destructor Documentation

Renderer_Canvas::~Renderer_Canvas | ( |  | ) |

## Member Function Documentation

std::vector< std::pair< Glib::RefPtr< Gdk::Pixbuf >, int > > & Renderer_Canvas::get_tile_book | ( |  | ) |

References studio::WorkArea::get_tile_book(), and studio::WorkAreaRenderer::get_work_area().

Referenced by render_vfunc().

bool Renderer_Canvas::get_full_frame | ( |  | ) | const

References studio::WorkArea::get_full_frame(), and studio::WorkAreaRenderer::get_work_area().

Referenced by render_vfunc().

int Renderer_Canvas::get_refreshes | ( |  | ) | const

References studio::WorkArea::get_refreshes(), and studio::WorkAreaRenderer::get_work_area().

Referenced by render_vfunc().

bool Renderer_Canvas::get_canceled | ( |  | ) | const

References studio::WorkArea::get_canceled(), and studio::WorkAreaRenderer::get_work_area().

Referenced by render_vfunc().

bool Renderer_Canvas::get_queued | ( |  | ) | const

References studio::WorkArea::get_queued(), and studio::WorkAreaRenderer::get_work_area().

Referenced by render_vfunc().

bool Renderer_Canvas::get_rendering | ( |  | ) | const

References studio::WorkArea::get_rendering(), and studio::WorkAreaRenderer::get_work_area().

Referenced by render_vfunc().

void Renderer_Canvas::render_vfunc | ( | const Glib::RefPtr< Gdk::Drawable > & | drawable,
|  | const Gdk::Rectangle & | expose_area |
| ) |  |  | `[virtual]`

Reimplemented from studio::WorkAreaRenderer.

References studio::WorkArea::async_update_preview(), synfigapp::Action::create(), get_canceled(), get_full_frame(), studio::WorkAreaRenderer::get_h(), studio::WorkArea::get_low_res_pixel_size(), studio::WorkAreaRenderer::get_ph(), studio::WorkAreaRenderer::get_pw(), get_queued(), get_refreshes(), get_rendering(), get_tile_book(), studio::WorkAreaRenderer::get_w(), and studio::WorkAreaRenderer::get_work_area().

The documentation for this class was generated from the following files:

- renderer_canvas.h
- renderer_canvas.cpp